For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet Encounter Attachments
        • PUTCreate Encounter Attachment
        • PUTCreate Encounter Attachment V2
        • POSTCreate an Attachment from a Charge Capture external ID
        • GETGet Attachments by Charge Capture External ID
        • DELDelete Attachment by Charge Capture External ID
        • DELDelete Encounter Attachment
Contact Sales
LogoLogo
API ReferenceEncounter AttachmentsV1

Create an Attachment from a Charge Capture external ID

Beta
POST
/api/encounter-attachments/v1/create-from-charge-capture-external-id
POST
/api/encounter-attachments/v1/create-from-charge-capture-external-id
$curl -X POST https://api.joincandidhealth.com/api/encounter-attachments/v1/create-from-charge-capture-external-id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F charge_capture_external_id="string" \
> -F attachment_file=@<filename1> \
> -F attachment_type="DOCUMENTATION"
200Successful
1"d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"

Uploads a file using an external identifier. For Charge Capture, the file will be associated with the Encounter at Encounter creation time.

Note: Attachments created via this endpoint are not searchable via the get endpoint until they are associated with an encounter.

Was this page helpful?
Previous

Get Attachments by Charge Capture External ID

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Request

This endpoint expects a multipart form containing a file.
charge_capture_external_idstringRequired
attachment_filefileRequired

The file for upload. The maximum file size is 25MB. The allowed mime types are:

  • application/pdf
  • image/png
  • image/jpeg
  • text/plain
  • text/csv
  • application/vnd.openxmlformats-officedocument.wordprocessingml.document
  • application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
attachment_typeenumRequired
Allowed values:
descriptionstringOptional

Response

This endpoint returns a UUID.